#include <iostream>
#include <cmath>

using namespace std;

int main() {
	long long int n, u, u1 = 0;
	cin >> n;
	long long int a[n], t[n][2];
	for(int i = 0; i < n; i++) {
		cin >> t[i][0] >> t[i][1];
	}
	for(int i = 1; i <= n; i++) {
		for(int j = 0; j < i; j++) {
			for(int k = 0; k < i; k++) {
				u = 0;
				for(int l = 0; l < i; l++) {
					u += abs(t[j][0]-t[l][0]) * abs(t[k][1]-t[l][1]);
				}
				if(u1 < u) {
					u1 = u;
				}
			}
		}
		a[i-1] = u1 % 1000000007;
	}
	
	for(int i = 0; i < n; i++) {
		cout << a[i] << endl;
	}
	
	return 0;
}